#ifndef NamespacesVisitor_H
#define NamespacesVisitor_H

//---------------------------------------------------------------------------
// Includes and Constants
//---------------------------------------------------------------------------

#include <vector>
#include <string.h>
#include <DOM/DOM.hpp>

using namespace std;
//---------------------------------------------------------------------------
// Class definition
//---------------------------------------------------------------------------
/**
   [Description]

   @author Fabio Arciniegas A.
   @version $Id$
   @see
 */

class NamespacesVisitor {
 public:
  /**@name Constructor Methods
   */
  //@{

  NamespacesVisitor(DOM_Node &dom);
  //@}


  /**@name Get Methods
   */
  //@{

  vector<char *> getVisibleNamespaces(DOM_Node *node = 0);
  char *         getQualifiedName();
  //@}
 protected:
 private:
  DOM_Node myNode;
  vector<char *> ns;
  
};
#endif NamespacesVisitor_H
 




