// xmlquickviewerDlg.h : header file
//

#if !defined(AFX_XMLQUICKVIEWERDLG_H__7F4262CD_DB0A_11D4_8739_0001026CBDE2__INCLUDED_)
#define AFX_XMLQUICKVIEWERDLG_H__7F4262CD_DB0A_11D4_8739_0001026CBDE2__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "ConstructTreeVisitor.h"
#include "StatisticsVisitor.h"
#include "NamespacesVisitor.h"

/////////////////////////////////////////////////////////////////////////////
// CXmlquickviewerDlg dialog

class CXmlquickviewerDlg : public CDialog
{
// Construction
public:
	CXmlquickviewerDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CXmlquickviewerDlg)
	enum { IDD = IDD_XMLQUICKVIEWER_DIALOG };
	CListBox	m_namespaceLI;
	CEdit	m_unameED;
	CEdit	m_charED;
	CEdit	m_ChildED;
	CEdit	m_TypeED;
	CEdit	m_FileED;
	CButton	m_BrowseBT;
	CTreeCtrl	m_DOMTree;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CXmlquickviewerDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;
	CImageList m_images;
	map<HTREEITEM ,DOM_Node > visual;

	// Generated message map functions
	//{{AFX_MSG(CXmlquickviewerDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnBrowseBtClick();
	afx_msg void OnSelchangedDomTr(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnFileOpen();
	afx_msg void OnHelpAbout();
	afx_msg void OnFileExit();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_XMLQUICKVIEWERDLG_H__7F4262CD_DB0A_11D4_8739_0001026CBDE2__INCLUDED_)
